package com.srs.comprehensive.service;

import com.srs.common.annotation.DataSource;
import com.srs.common.enums.DataSourceType;
import com.srs.comprehensive.domain.CphStuScoreMiddle;
import com.srs.comprehensive.domain.Dto.CphStuScoreMiddleDto;
import com.srs.comprehensive.domain.Vo.CphStuScoreMiddleDtoVo;

import java.util.List;
import java.util.Map;

public interface ICphStuScoreMiddlesService {
    List<CphStuScoreMiddle> serectCphStuScoreMiddlesAdd();

    List<Map<String,Object>> serectCphStuScoreMiddlesXh(int page, int pageSize, String xh);

    //查询总数
    @DataSource(DataSourceType.DATABASE)//sqlserver
    int serectCphStuScoreMiddleCount(String stuNo);//sqlserver

    void typeConversion(List<Map<String,Object>> mapList);

    List<Map<String, Object>> insertCphStuScoreMiddlesDel(List<Map<String,Object>> cphStuScoreMiddleList);

    /**
     * 从教务系统同步学生成绩，每天凌晨两点同步一次
     */
    public void syncCphStuScoreMiddles();
    public List<CphStuScoreMiddleDtoVo> insertCphStuScoreMiddlesDelS(String stuNo);

    void convertToT();

    void emptyTableDate();

    void selectCphStuScoreMiddleEmptyAndAdd(List<Map<String,Object>> cphStuScoreMiddles);
}
